package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItempoolActivitySkuAddRequest struct {
	/*
	   入参     */
	Param *domain.AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItempoolActivitySkuAddRequest) SetParam(v domain.AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest) *AlibabaRetailMarketingItempoolActivitySkuAddRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItempoolActivitySkuAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItempoolActivitySkuAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
